Subject: Re: bug#25772: [PATCH] guix package: Remove trailing slash from profile path.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 20 Jul 2017 15:31:13 +0200

Hello!

Alex Kost <[email-masked]> skribis:

> Ricardo Wurmus (2017-02-17 23:38 +0100) wrote:
>
> [...]
>>>    (let* ((profiles (match (filter-map (match-lambda
>>> -                                        (('profile . p) p)
>>> -                                        (_              #f))
>>> +                                        (('profile . p)
>>> +                                         (readlink (string-trim-right p #\/)))
>>> +                                        (_ #f))
>>>                                        opts)
>>>                       (() (list %current-profile))
>>>                       (lst lst)))
>>
>> I don’t know if this is the right place for this change or if this
>> should be further upstream.
>
> I think it is not the right place: you modify only 'process-query'
> procedure, but there is also 'process-actions', so the following command
> will still fail:
>
>   guix package -p /tmp/test-profile/ -i hello
>
> while the following succeeds:
>
>   guix package -p /tmp/test-profile -i hello
>
> So I would rather modify 'canonicalize-profile' procedure in that
> module.  I think it will be a general solution for --profile option.

Indeed.  I pushed something along these lines as
edbe07cd67d6050d94fe8ac1af15ab15e857b61d, and a related fix as
561f4e450078a06c707d3dcda2cf0e7d6eb5ebae.

Thanks!

Ludo’.